Skip to main content
`Ctrl`+`K`

# TSTrajectorySetType

Sets the storage method to be used as in a trajectory

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectorySetType(TSTrajectory tj, TS ts, TSTrajectoryType type)

Collective

## Input Parameters

- tj - the `TSTrajectory` context

- ts - the `TS` context

- type - a known method

## Options Database Key

- -ts_trajectory_type <type> - Sets the method; use -help for a list of available methods (for instance, basic)

## Developer Notes

Why does this option require access to the `TS`

## See Also

TS: Scalable ODE and DAE Solvers, `TSTrajectory`, `TS`, `TSTrajectoryCreate()`, `TSTrajectorySetFromOptions()`, `TSTrajectoryDestroy()`, `TSTrajectoryGetType()`

## Level

developer

## Location

src/ts/trajectory/interface/traj.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages